import * as _udecode_plate_core from '@udecode/plate-core';
export { B as BaseH1Plugin, b as BaseH2Plugin, c as BaseH3Plugin, d as BaseH4Plugin, e as BaseH5Plugin, f as BaseH6Plugin, g as BaseHeadingPlugin, H as HeadingConfig, a as HeadingLevel } from './BaseHeadingPlugin-CAUutbD4.js';
import '@udecode/plate';

declare const BaseBasicElementsPlugin: _udecode_plate_core.SlatePlugin<_udecode_plate_core.PluginConfig<any, {}, {}, {}, {}>>;

/** Enables support for block quotes, useful for quotations and passages. */
declare const BaseBlockquotePlugin: _udecode_plate_core.SlatePlugin<_udecode_plate_core.PluginConfig<"blockquote", {}, {}, {}, {}>>;

declare const BaseHorizontalRulePlugin: _udecode_plate_core.SlatePlugin<_udecode_plate_core.PluginConfig<"hr", {}, {}, {}, {}>>;

export { BaseBasicElementsPlugin, BaseBlockquotePlugin, BaseHorizontalRulePlugin };
